import type { ColDef, GridOptions } from '@ag-grid-community/core';
import { GridProRendererTypes } from '@genesislcap/foundation-zero-grid-pro';
import { GridPro } from '@genesislcap/grid-pro';
import { FASTElement } from '@microsoft/fast-element';
export declare class PreviewGrid extends FASTElement {
    grid: GridPro;
    prefix: string;
    provider: HTMLElement;
    rowData: ({
        athlete: string;
        age: number;
        country: string;
        year: number;
        date: string;
        sport: string;
        gold: number;
        silver: number;
        bronze: number;
        total: number;
        isActionDisabled: boolean;
    } | {
        athlete: string;
        age: number;
        country: string;
        year: number;
        date: string;
        sport: string;
        gold: number;
        silver: number;
        bronze: number;
        total: number;
        isActionDisabled?: undefined;
    })[];
    columnDefs: ColDef[];
    gridOptions: GridOptions;
    setGridOptions(): void;
    myCustomCheckboxRenderer: (params: any) => any;
    multipleCustomFoundationColumnConfigs: any[];
    private multipleActions;
    multipleActionsMenuSlottedConfig: ColDef;
    singleActionSlottedConfig: {
        headerName: string;
        width: number;
        cellRenderer: GridProRendererTypes;
        cellRendererParams: {
            actionClick: (rowData: any) => void;
            actionName: string;
            appearance: string;
            isDisabled: (rowData: any) => boolean;
            dataTestId: string;
            uniqueFieldName: string;
        };
    };
    connectedCallback(): void;
    private handleStyleChanges;
    private handleDSChanges;
}
//# sourceMappingURL=preview-grid.d.ts.map